Package io.papermc.paper.world

# Enum Class MoonPhase

java.lang.Object
java.lang.Enum<MoonPhase>
io.papermc.paper.world.MoonPhase

All Implemented Interfaces:
  `Serializable`, `Comparable<MoonPhase>`, `Constable`

public enum MoonPhase extends Enum<MoonPhase>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FIRST_QUARTER`
`FULL_MOON`
`LAST_QUARTER`
`NEW_MOON`
`WANING_CRESCENT`
`WANING_GIBBOUS`
`WAXING_CRESCENT`
`WAXING_GIBBOUS`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull MoonPhase`
`getPhase(long day)`
`static MoonPhase`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MoonPhase[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FULL_MOON

public static final MoonPhase FULL_MOON

### WANING_GIBBOUS

public static final MoonPhase WANING_GIBBOUS

### LAST_QUARTER

public static final MoonPhase LAST_QUARTER

### WANING_CRESCENT

public static final MoonPhase WANING_CRESCENT

### NEW_MOON

public static final MoonPhase NEW_MOON

### WAXING_CRESCENT

public static final MoonPhase WAXING_CRESCENT

### FIRST_QUARTER

public static final MoonPhase FIRST_QUARTER

### WAXING_GIBBOUS

public static final MoonPhase WAXING_GIBBOUS

## Method Details

### values

public static MoonPhase[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MoonPhase valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPhase

@NotNull public static @NotNull MoonPhase getPhase(long day)